import { HttpClient, NonNullablePaths, EventDefinition, MaybeContext, BuildRESTFunction, BuildEventDefinition } from '@wix/sdk-types';
import { DataExtensionSchema, UpdateDataExtensionSchemaResponse, ListDataExtensionSchemasOptions, ListDataExtensionSchemasResponse, DeleteByWhiteListedMetaSiteResponse, DataExtensionSchemaCreatedEnvelope, DataExtensionSchemaDeletedEnvelope, DataExtensionSchemaUpdatedEnvelope } from './index.typings.js';
export { A11y, A11yAttributes, AcceptedDirectMessageType, AcceptedMessageTypesAcceptedDirectMessageType, AcceptedMessageTypesAcceptedSmsMessageType, AcceptedSmsMessageType, Action, ActionCondition, ActionEvent, ActionName, ActionProviderSPIConfig, ActionSPIConfig, ActionSPIConfigImplementedMethods, ActionSPIConfigInterfaceConfiguration, ActionSPIConfigInterfaceConfigurationOptionsOneOf, ActionSPIConfigInterfaceConfigurationType, ActionSpiConfig, ActionType, Actions, AdaptiveComponentProviderConfig, AddCustomFields, AdditionalFeesSPIConfig, AdditionalStepInfo, AdditionalTaxGroup, AddonMarketData, AddressInfo, AddressInfoTag, AddressLine2, AdminConfigurableTextInput, AlertEnricherSpiConfiguration, AlgorithmConfig, AlgorithmType, Alignment, AllowedValuesOptions, AlternativeUri, AnchorData, AnchorMetaData, AndCondition, AndroidMobilePushConfig, AndroidStyle, ApiSlot, ApiWidth, AppConfig, AppConfiguration, AppData, AppDeploymentProviderConfig, AppEmbedData, AppEmbedDataAppDataOneOf, AppEnvironmentProviderConfig, AppPermissions, AppPreviewProviderConfig, AppRuntimeDataCacheEntity, AppRuntimeDataEvent, AppType, ApplicationAutomationComponent, ApplicationProfile, ApplicationProfileProviderConfig, Archetype, ArrayComponentType, ArrayItems, ArrayItemsArrayDataOneOf, ArrayType, ArrayTypeArrayItems, ArrayTypeArrayItemsItemTypeOptionsOneOf, AspectRatio, AssistantSpiConfig, AudienceProviderConfig, AudioData, AuthenticatorConfig, AutomationMetadata, AutomationTrigger, AvailabilityTimeSlotsProviderConfig, AvatarConfig, AvatarShape, BackOfficeCustomization, BackOfficeCustomizationSidebarEntity, BackOfficeCustomizationSidebarEntityItemOneOf, BackOfficeExtension, BackOfficeExtensionContainer, BackOfficeExtensionExtensionOneOf, BackOfficeExtensionMenuItem, BackOfficeExtensionWidget, BackOfficeExtensionWidgetAssetOneOf, BackOfficeExternalUrl, BackOfficeHostingPlatforms, BackOfficeModal, BackOfficeModalContentOneOf, BackOfficePage, BackOfficePageAssetOneOf, BackOfficeRestrictedCustomization, BackOfficeScriptAsset, BackOfficeScriptAssetType, BackOfficeSidebarCategory, BackOfficeWidget, BackOfficeWidgetContentOneOf, BackdropFilter, BackendWorker, Background, BackgroundModeEnum, BackgroundType, BackofficeActionDeeplink, BarAlignment, BarAlignmentSelected, BaseEventMetadata, BaseInfo, BaseInstallation, Behaviors, BillingSettingsConfig, BlockType, BlockquoteData, BlocksData, BlogPaywallProviderConfig, BookingData, BookingPolicyProviderConfig, BookingsPricingProviderConfig, BookingsResourceType, BookingsResourceTypesProviderConfig, BoolListOptions, BooleanComponentType, BooleanExperimentExposureRule, BooleanType, Border, BorderColors, BrandIcons, BreakPoint, BreakPointSection, Breakpoint, Breakpoints, BroadcastList, BrowserPushChannel, BrowserPushContentKeys, BrowserStorage, BuilderSpi, BulletedListData, Bundle, BusinessManagerPage, ButtonData, ButtonDataType, ButtonStyles, CalendarType, CaptionData, CardStyles, CardStylesType, CatalogSPIConfig, CatalogSyncConfiguration, CellStyle, ChangeableProperty, ChannelBrandIcons, ChannelBranding, ChannelChannelBranding, ChannelChannelConfiguration, ChannelChannelConfigurationMessagingConfigOneOf, ChannelConfiguration, ChannelConfigurationChannelType, ChannelConfigurationMessagingConfigOneOf, ChannelIcon, ChannelImplementedMethods, ChannelMediaCapabilities, ChannelType, Checkbox, CheckboxConfiguration, CheckboxField, CheckboxGroup, CheckboxGroupOption, CheckoutContentSPIConfig, ClientResources, ClientSideService, CodeBlockData, CodePackageComponentData, CodePanel, CollapsibleListData, Color, ColorData, ColorDefinition, ColorSelectLabeled, ColorSelectLabeledDataOneOf, Colors, CommentFilterProviderConfig, CommentModerationProviderConfig, CommentsContextProviderConfig, CommonCustomOption, CommonImage, CommunicationChannelConfiguration, ComponentData, ComponentDataDataOneOf, ComponentEnricherConfig, ComponentInitialSize, ComponentMetaData, ComponentModel, ComponentReferenceDataConfig, ComponentTranslationAdditionalFieldsConfig, ComponentType, ComponentsMultilineAddress, ComponentsValidatorConfig, Condition, ConditionBlock, ConditionNode, ConditionNodeNodeOneOf, Conditions, Configuration, ConfirmationLevel, ConnectMethod, ConsentCategory, Consequence, ConstOrDynamicParam, ConstOrDynamicParamValueOneOf, Constraint, ContactData, ContactField, ContactLabelsComponentData, ContactNotification, ContactsData, ContactsNotificationData, Container, ContainerDataOneOf, ContainerLayout, ContainerStyleOverrides, ContainerType, ContentData, ContentDataOverrides, ContentProviderConfig, ContentResizeDirection, Context, ConversationLimitations, CoreApps, CountrySubdivisionListOptions, CoverImageConfiguration, CreateDataExtensionSchemaRequest, CreateDataExtensionSchemaResponse, CreateNewItemInfo, CreatedByCacheEntity, Crop, CrossSellConfig, CssDataType, CssNumber, CssPropertyType, CurrencyCodeListOptions, CustomChargesConfig, CustomElement, CustomElementConsentCategoryOneOf, CustomElementScriptType, CustomElementWidget, CustomEnum, CustomEnumOption, CustomEnumOptionCssProperty, CustomExperimentExposureRule, CustomFieldInfo, CustomFieldsType, CustomOption, CustomPermission, CustomRefData, CustomReservationsApprovalConfig, CustomRewardProviderConfig, CustomScopeConfig, CustomTriggerConfig, DCConfigData, Dashboard, DashboardAction, DashboardApplicationData, DashboardButton, DashboardComponentData, DashboardItem, DashboardPlatfromComponentData, DataAction, DataComponent, DataExtensionSchemaState, DataExtensionsComponentData, DataItem, DataItemOverrides, DataItemSelectedDataTypeOneOf, DataItems, DataType, DateInput, DatePicker, DateTimeConstraints, DateTimeInput, Debounce, DecimalListOptions, Decoration, DecorationDataOneOf, DecorationType, Deeplink, DeeplinkOfOneOf, Default, DefaultCountryConfig, DefaultCountryConfigOptionsOneOf, DefaultCountryConfigType, DefaultPresets, DefaultTaxGroupProviderConfig, DefaultTextStyle, Definition, Delay, DelayTypeOneOf, DeleteByWhiteListedMetaSiteRequest, DeleteDemoDataExtensionSchemaRequest, DeleteDemoDataExtensionSchemaResponse, DeleteGlobalExtensionSchemaRequest, DeleteGlobalExtensionSchemaResponse, DeleteTemplateFields, DeleteUserDefinedFieldsRequest, DeleteUserDefinedFieldsResponse, DeploymentPipelineProviderConfig, Description, Design, DevCenterTestingComponentData, DevCenterTestingComponentDataTranslatableOneOfOneOf, Dimension, Dimensions, DirectMessageConfig, Direction, DiscountConfig, DiscountsSPIConfig, DiscoveryMetaData, Display, DisplayField, DisplayFieldDisplayFieldTypeOptionsOneOf, DisplayFieldType, DisplayFilter, DisplayFilters, DisplayProperties, DisplayValue, DisplayValueEnumDisplayValue, DisputeServicePluginConfig, DividerData, DividerDataAlignment, DividerDataWidth, DmDirectMessageConfig, Docking, DockingProperties, DocumentStyle, Domain, DomainEvent, DomainEventBodyOneOf, DonationInput, DonationInputOption, DrillInListItem, DrillItem, DrillItemDataOneOf, DropDownLabeled, Dropdown, DropdownCustomOption, DropdownField, DropdownFieldOption, DropdownOption, DropshippingProviderSPIConfig, DtsContent, DtsDefinitionReference, DtsDefinitionReferenceDtsDefinitionOneOf, DtsDefinitionType, DtsHttpLink, DurationInputConfiguration, DurationRenameOptions, DynamicPriceOptions, DynamicSiteStructureProviderConfig, EditableFields, EditableProperties, EditorAddon, EditorBehaviors, EditorElement, EditorElementLayout, EditorPresence, EditorReactComponent, EffectGroup, ElementDisplayOption, ElementItem, ElementItemSelectedElementTypeOneOf, ElementState, ElementStyleDefaults, ElementType, EmailChannel, EmailEmailMessageConfig, EmailInfo, EmailInfoTag, EmailMessageConfig, EmailTemplateConfig, EmailTemplateConfigProviderOneOf, EmbedCategory, EmbedData, EmbeddedScriptComponentData, EmbeddedScriptPages, EmbeddedScriptPlacement, Empty, EntityCreatedEvent, EntityDeletedEvent, EntityUpdatedEvent, Environment, ErrorReporting, ErrorReportingArtifact, Escalation, EventAction, EventBadgesSpiConfig, EventData, EventMetadata, EventTimeSlotsProviderConfig, EventTypeProviderConfig, EventValidationProviderConfig, Execution, ExecutionActionExecuteOneOf, ExecutionType, ExpectedInputs, ExperimentGroupWrapper, ExportMetadata, Exposure, ExposureRule, ExposureRuleRuleOneOf, ExposureRuleType, Extendable, ExtendingComponentType, ExtensionData, ExtensionDetails, ExtensionExposure, ExtensionType, ExternalDatabaseSpiConfig, ExternalFilterProviderConfig, FactorConfig, FactorType, FeedAggregation, FeedChannels, FeedChannelsConfig, FeesSPIConfig, Field, FieldFieldTypeOptionsOneOf, FieldGroup, FieldOverride, FieldOverridePropertyTypeOptionsOneOf, FieldOverrides, FieldType, FieldsOverrides, FieldsSettings, FileData, FileSource, FileSourceDataOneOf, FileUpload, Filter, FilterFunction, FilterInfo, FilterInfoOptionsOneOf, FilterOptionsType, FilterSelectionType, FilterValueDefinitionMode, FilteringCapability, FirstDayOfWeek, FirstLevelCategory, FixedPositionOptions, FixedPriceOptions, FocalPoint, FontDefinition, FontFamilyWithColorPicker, FontSizeData, FontType, FormFieldContactInfo, FormFieldContactInfoAdditionalInfoOneOf, FormLayout, FormOverride, FormOverrideEntityTypeOptionsOneOf, FormSchemaDynamicValuesSpiConfig, FormSchemaSpiConfig, FormSpamSubmissionReportPermissions, FormSpamSubmissionReportSpiConfig, FormSpamSubmissionReportsNamespaceConfig, FormSpamSubmissionSpiConfig, FormSpiExtensionConfig, FormSubmissionModerationSpiConfig, FormSubmissionModerationSpiNamespaceConfig, FormSubmissionSpiConfig, FormSubmissionSpiExtensionConfig, FormTemplate, FormTemplateTemplateTypeOptionsOneOf, Format, FormsPermissions, FormsSchemaNamespaceConfig, FormsSpamSubmissionsNamespaceConfig, FormsSubmissionsExtensionNamespaceConfig, FormsSubmissionsNamespaceConfig, ForwardAction, ForwardActionActionOneOf, FreeOptionConfiguration, FreeTrialConfiguration, FunctionDefinition, FunctionRecipe, FunctionsShopPriceSpiConfig, GIF, GIFData, GIFType, GalleryData, GalleryOptions, GalleryOptionsLayout, GalleryOptionsThumbnails, GbpFeatureConfig, GenericHookConfig, GenericHooksConfig, GenericOptions, GiftCardProviderConfig, Gradient, GradualDeleteCacheEntity, GradualRolloutCacheEntity, GradualUpdateCacheEntity, GridAppFilesTransformerConfig, GroupedContent, HTMLData, HTMLDataDataOneOf, HTMLDataSource, HTTPMethod, Header, HeaderConfig, HeaderConfigHeaderConfigOneOf, HeaderConfigOneOf, HeaderWidgetConfig, HeadingData, HeadlessOAuth, Height, HeightMode, HelpResources, HiddenOptions, HookType, HorizontalDocking, HostContainerId, HostedComponent, HostedPage, IDPConnectionConfig, Icon, IconDataOneOf, IconType, IdentificationData, IdentificationDataIdOneOf, Illustration, IllustrationIllustrationOneOf, Image, ImageConfig, ImageData, ImageDataStyles, ImageFit, ImageShape, ImageStyles, ImageStylesPosition, Implementation, ImplementedMethods, ImportanceLevel, InitDirection, InitialExpandedItems, InitialPosition, InitialSizeSetting, InitialSizeSettingSelectedSizingTypeOneOf, Initiator, InitiatorDataOneOf, InitiatorType, InlineElement, Input, InputConfiguration, InputField, InputFieldInputTypeOptionsOneOf, InputField_Number, InputField_NumberComponentTypeOptionsOneOf, InputType, InputWithPlaceholder, InstallPage, InstallationInfo, InstallationInfoTargetContainerOneOf, InstallationSettings, InstallationSettingsOptionsOneOf, IntListOptions, IntegerType, Intent, Interactions, InterfaceConfiguration, InterfaceConfigurationOfTypeOneOf, InterfaceConfigurationType, InternalComponentMetadata, InventorySpiConfig, InvoicesActionsComponentData, InvoicesConfig, IsStretched, Item, ItemDataOneOf, ItemImage, ItemLayout, ItemSelection, ItemSelectionOptions, ItemStyle, ItemThumbnail, ItemThumbnailOptionsOneOf, ItemType, ItemsSelectionProviderConfig, Keywords, LanguageTagListOptions, Layout, LayoutCellData, LayoutType, LearnMore, LegacyBackOfficeExtensionWidget, LegacyBackOfficeExtensionWidgetAssetOneOf, LegacyBackOfficeMenuItem, LegacyBackOfficeMenuItemAction, LegendsSpiConfig, Level, LightboxCloseOptions, LightboxContent, LightboxEditorSettings, LightboxOptions, LimiterField, LineItemsEnricherConfig, LineStyle, Link, LinkData, LinkPreviewData, LinkPreviewDataStyles, LinkSuffix, LinkTarget, LinkType, ListDataExtensionSchemasRequest, ListEventFromCalendars, ListValue, LiveSiteActionDeeplink, LocalDeliveryComponentData, LockableOperation, Logo, Logos, Main, MainPresets, MainPropsData, MandatoryField, MapData, MapSettings, MapType, Margin, Margins, MarketplaceSPIConfig, Maturity, MeasurementSystem, Media, MediaCapabilities, MediaItem, MediaItemMediaOneOf, MediaMimeType, MembershipsSPIConfig, MentionData, MenuAction, MenuActionActionOneOf, MenuDropdown, MenuLink, MenuSlot, MessageContainingTranslatables, MessageEnvelope, Metadata, Method, MinMaxRange, MobileApplication, MobileFeedChannel, MobileFeedContentKeys, MobilePushChannel, MobilePushChannelConfig, MobilePushContentKeys, ModalParams, Monitoring, MonitoringOptionsOneOf, MonitoringType, MultiServiceBookingPolicyProviderConfig, MultilineAddress, MultilineAddressComponentType, MultilineAddressComponentTypeOptionsOneOf, MultilineAddressValidation, MultilingualTranslationSchema, MultipleDashboardsComponentData, Namespace, NamespaceConfig, NativeStateType, NavigateToPageAction, NavigationType, NestedWidgets, Node, NodeDataOneOf, NodeStyle, NodeType, NotificationChannels, NotificationContent, NotificationPreferencesFilterConfig, NotificationTopic, NotificationTopicState, NotificationTopicType, Npm, NullValue, NumberComponentType, NumberInput, NumberOfColumns, NumberType, OAuthAppType, OAuthTechnologies, ObjectType, Oembed, Offset, OffsetValueOneOf, OneTimeOptionConfiguration, OpenComponent, OpenModalAction, OperationExecutorConfig, Operator, OperatorConfiguration, OperatorEnumOperator, Option, OptionDesign, OptionLayout, OrCondition, OrderValue, OrderedListData, Orientation, OriginInfo, OutOfIframeData, Output, OverrideEntityType, OverrideTemplateFields, PDFSettings, PDFSettingsViewMode, PackageDimension, PackageType, Padding, Page, PageAnchor, PageComponentData, PageContent, PageDashboardApplicationComponent, PageEditorSettings, PageInstallation, PageInstallationSettings, PageNavigationOptions, PageOptions, PageOutOfIframeComponentData, PageReplace, PageReplaceOptions, PageReplaceOptionsOptionsOneOf, PageWidgetAsContent, PaginationMode, Panel, PanelAction, PanelActionSelectedPanelTypeOneOf, PanelContentType, PanelSelectedContentTypeOneOf, PanelSize, PanelType, PanoramaOptions, ParagraphData, Param, Parameter, ParameterType, ParameterValueDefinitionDetailsOneOf, PartialPaymentRestriction, PartialUpdateCacheEntity, ParticipantType, PatternsWizard, Payment, PaymentComponentType, PaymentComponentTypeOptionsOneOf, PaymentDateModification, PaymentMethod, PaymentMethodMethodOneOf, PaymentServiceProviderConfig, PaymentServiceProviderCredentialsField, PaymentServiceProviderCredentialsFieldFieldOneOf, PaymentSettingsSPIConfig, PaymentType, PaymentsGatewayComponentData, PayoutsProviderConfig, PerkValues, PerksConfiguration, Permissions, PhoneConstraints, PhoneInfo, PhoneInfoTag, PhoneInput, PingNotificationComponentData, PingSettingsGroupComponentData, PingSettingsGroupComponentDataState, PlaceHolder, Placement, PlanDuration, PlanFormBenefitsSection, PlanFormCustomSection, PlanFormDefaultSection, PlanFormInfoSection, PlanFormInitialValue, PlanFormPagePermissionsSection, PlanFormPlanSettingsSection, PlanFormPreviewSection, PlanFormPricingAndDurationSection, PlanFormPricingOption, PlanFormSection, PlanFormSectionSectionOneOf, PlanFormTypeMetadata, PlanPeriodUnit, PlanPriceData, PlanPricing, PlanPricingPricingModelOneOf, PlanSettingsRowConfiguration, PlatformHeaderConfig, PlatfromComponentData, PlaybackOptions, PluginConfig, PluginContainerData, PluginContainerDataAlignment, PluginContainerDataHeight, PluginContainerDataWidth, PluginContainerDataWidthDataOneOf, PluginInstallationSettings, PluginInterface, PluginMarketData, PluginPlacement, PolicyConfig, Poll, PollData, PollDataLayout, PollDesign, PollDesignBackground, PollDesignBackgroundBackgroundOneOf, PollLayout, PollLayoutDirection, PollLayoutType, PollOption, PollSettings, Position, PostLoginConfig, PreRegisterConfig, PredefinedExpectedInput, PredefinedExpectedInputConfiguration, PredefinedExpectedInputConfigurationTypeOneOf, PredefinedLabel, PredefinedValues, Preset, PresetEditorPresence, PresetInfo, PresetItem, PresetSize, PreviewCardPlaceholders, PreviewConfiguration, PreviewFields, PriceSPIConfig, PriceType, PricingPlansFormConfiguration, PricingRecurring, Primitive, PrimitiveType, Product, ProductCatalogProviderConfig, ProductCheckboxGroup, ProductCheckboxGroupOption, ProductPriceOptionsOneOf, ProductRestrictionsConfig, ProductType, ProductsPathsConfig, Project, PropertiesType, PropertiesTypeEnum, PropertiesTypePropertiesTypeOptionsOneOf, ProposalEditorProviderConfig, ProviderAccountServicePluginConfig, ProviderConfig, ProviderConfigMessage, ProviderFilterOptions, PurchaseValidationsConfig, QuantityLimit, RadioButtonLabeled, RadioGroup, RadioGroupCustomOption, RadioGroupOption, RangeConstraints, RateLimit, RatingInput, ReactElementContainer, ReactElementContainerSelectedContainerTypeOneOf, RecipientFilter, RecipientFilterDataOneOf, RecipientFilterType, RecipientType, RecommendationsProviderConfig, RecurringOptionConfiguration, RedirectOptions, RefElement, RefInnerElementDefaults, Region, RegionType, ReindexEvent, ReindexField, Rel, RenderOverrides, ReplaceableOptions, ReplacementType, ReplacingOptions, RequestedField, RequiredIndicator, RequiredIndicatorPlacement, RequiredIndicatorProperties, RequiredOptions, ResetButton, ResizeDirection, Resizing, Resource, Resources, ResponsysEmail, RestaurantsPOSComponentData, RestoreInfo, RestrictedOperation, Restriction, RestrictionLevel, Restrictions, RestrictionsConfig, ReviewsEntityCatalogProviderConfig, ReviewsProductCatalogProviderConfig, RewardProviderConfig, RibbonStyles, RichContent, RichContentOptions, RichTextWithIllustrationVertical, Rule, RuntimeComponentCacheEntity, RuntimeComponentCacheEntityComponent, RuntimeComponentCacheEntityComponentOneOf, RuntimeComponentCacheEntityExperiment, RuntimeComponentCacheEntityExperimentExperimentOneOf, SDKExports, SDKExportsNpm, Schema, SchemaConfig, SchemaField, SchemaFieldExposure, SchemaFieldFieldType, SchemaFieldType, SchemaFieldTypeFieldTypeOneOf, SchemaGroup, SchemaGroupElement, SchemaKey, SchemaScope, Scope, ScriptType, SdkDefinition, SearchConfig, SearchField, SearchParams, SecondLevelCategory, Section, SentryOptions, SeoKeywordsSuggestionsSPIConfig, ServiceAction, ServiceAvailabilityPolicyProviderConfig, ServiceTrigger, Settings, SettingsPanel, SettingsPermissions, SettingsUrl, SetupFeeConfiguration, SharedPlatformMobilePushConfig, ShippingLabelCarrierSpiConfig, ShippingProviderConfig, ShippingRatesConfig, ShoutoutEmail, Sidebar, SidebarChildItem, SidebarChildItemItemOneOf, SidebarConfig, SidebarConfigOneOf, SidebarDataType, SidebarEntityType, SidebarRootItem, SidebarRootItemItemOneOf, SidebarSecondLevelChildItem, SidebarSecondLevelChildItemItemOneOf, SidebarWidget, SidebarWidgetConfig, SidebarWidgetConfigOneOf, Signature, Simple, SimpleContainer, SimpleField, SimpleType, SingleContent, SingleKeyCondition, SiteConfig, SiteContributorsData, SiteMemberData, SiteWidgetSlot, Size, SizingType, SliderLabeled, Slot, SlotData, SlotDataSlotTypeOneOf, SlotDataType, SlotParams, SmsActionMessage, SmsChannel, SmsContentKeys, SmsMessageConfig, SmsSmsMessageConfig, SnippetSolutionData, SocialMarketingDesignSPIConfig, SocialMarketingDesignsProviderConfig, Source, SourceOptionsOneOf, SourceType, SpamSubmissionPermissions, Spi, SpiBaseUri, Spoiler, SpoilerData, StartDateLimitsSPIConfig, StartDateRulesSPIConfig, State, StaticContainer, StaticFileComponentData, StaticFilterOption, StaticFilterOptions, Status, Step, StorageDomain, StorageType, StringComponentType, StringListOptions, StringType, StringTypeFormatOptionsOneOf, StudioComponentData, StudioWidgetComponentData, StudioWidgetVariation, StyleAction, StyleItem, StyleItemDefaults, StyleItemOverrides, StyleItemSelectedCssPropertyTypeOneOf, StyleItemSelectedCssVariableTypeOneOf, StyleItemSelectedItemTypeOneOf, Styles, StylesBorder, StylesPosition, SubPage, SubmitSettings, SubmitSettingsSubmitSuccessActionOptionsOneOf, SubmitSuccessAction, SubscriptionInfo, SyncToCalendar, SyncedProjectsProviderConfig, Tab, TableCellData, TableData, Tag, TagOverrides, TagOverridesEntry, Target, TaxCalculationConfig, TaxCalculatorSpiConfig, TaxCountriesConfig, TaxGroupsProviderConfig, TaxIdValidatorConfig, TaxTypesConfig, TaxationCategoryProvider, TemplateDefaultColor, TemplateType, TermsAndConditionsConfiguration, TermsModalConfiguration, Text, TextAlignment, TextData, TextEnum, TextInput, TextInputDisplayType, TextInputLabeled, TextInputSettings, TextNodeStyle, TextStyle, TextStyleDefaultColorOneOf, TextToSpeechActionMessage, TextWithSuffix, TextWithSuffixSuffixOneOf, TextWithTooltip, ThankYouMessageOptions, ThankYouPageConfiguration, ThankYouPageInputConfig, ThankYouPageModalConfiguration, ThankYouPagePreviewConfiguration, ThankYouPageRedirectsConfiguration, ThumbnailData, ThumbnailType, Thumbnails, ThumbnailsAlignment, ThumbnailsSize, TicketReservationsSpiConfig, TimeConstraintConfiguration, TimeConstraintConfigurationValueConstraintsOneOf, TimeConstraintType, TimeInput, ToggleLabeled, ToolPanelConfig, TooltipSuffix, TopologyComponentData, TranslatedData, TranslatedMessageWithIdRepeated, TranslatedMessageWithUniqueFieldRepeated, TranslationResources, Trigger, TriggerFilter, TriggerProviderSPIConfig, Type, TypedDynamicParam, TypedDynamicParamType, UnifiedLightbox, UnifiedPage, UnifiedPageEditorSettings, UnitType, Until, UpdateDataExtensionSchemaRequest, UploadFileFormat, UpstreamWixCommonImage, Url, UrlData, UrlParam, UserNotification, UserNotificationData, UserNotificationDataContext, UserNotificationDataDeeplink, UserNotificationDataDeeplinkOfOneOf, UserNotificationDataInitiator, UserNotificationDataInitiatorDataOneOf, UserNotificationDataRecipientFilter, UserNotificationDataRecipientFilterDataOneOf, UserNotificationDataRecipientFilterType, UserNotificationDataType, V1ImplementedMethods, V1Link, V1LinkDataOneOf, V1Metadata, V1SchemaField, V1TextStyle, V2CommunicationChannelConfiguration, V2Condition, V2ImplementedMethods, V2Rule, ValidationTarget, ValidationsSPIConfig, ValueConstraintType, VeloActionConfig, VeloCustomCss, VeloPublishPipelineTaskProviderConfig, VelocityEmail, VerticalAlignment, VerticalDocking, Video, VideoData, ViewMode, ViewRole, ViewerService, ViewerServiceAssets, VisibleState, VoiceChannel, VoiceContentKeys, VoteRole, WebComponentData, WebComponentDataElementType, WebFeedChannel, WebFeedContentKeys, WebhookComponentData, WebhookIdentityType, WidgetAsContent, WidgetBehavior, WidgetComponent, WidgetComponentData, WidgetComponentOptions, WidgetData, WidgetDetails, WidgetDisplay, WidgetHorizontal, WidgetInstallation, WidgetInstallationSettings, WidgetInstallationSettingsTargetContainerOneOf, WidgetOutOfIframeComponentData, WidgetPluginComponentData, WidgetSize, WidgetSizeHeight, WidgetSizeWidth, WidgetSlot, WidgetVertical, WidgetWidthType, Width, WidthType, WixApiOptions, WixCodePublishTaskName, WixDependency, WixFile, WixFileComponentType, WixFileComponentTypeOptionsOneOf, WixOfferingComponentData, WixOfferingComponentDataOfferingOneOf, WixPagesDomainMapping, WixUserData, WixUsersData, WorkerComponentData, WritingMode, WritingModeValue, _Array, _ArrayComponentTypeOptionsOneOf, _Boolean, _BooleanComponentTypeOptionsOneOf, _Date, _Function, _Number, _Object, _String, _StringComponentTypeOptionsOneOf } from './index.typings.js';

declare function createDataExtensionSchema$1(httpClient: HttpClient): CreateDataExtensionSchemaSignature;
interface CreateDataExtensionSchemaSignature {
    /**
     * Creates a user-defined data extension schema.
     * @param - Schema to create.
     * @returns Created schema.
     */
    (dataExtensionSchema: NonNullablePaths<DataExtensionSchema, `fqdn` | `jsonSchema` | `namespace`>): Promise<DataExtensionSchema>;
}
declare function updateDataExtensionSchema$1(httpClient: HttpClient): UpdateDataExtensionSchemaSignature;
interface UpdateDataExtensionSchemaSignature {
    /**
     * Updates a user-defined data extension schema, overriding the existing data.
     * @param - Schema to update.
     * @param - Field options. The following fields **must** be passed: `_id`, `jsonSchema`, `revision`.
     */
    (dataExtensionSchema: NonNullablePaths<DataExtensionSchema, `_id` | `jsonSchema` | `revision`>): Promise<UpdateDataExtensionSchemaResponse>;
}
declare function listDataExtensionSchemas$1(httpClient: HttpClient): ListDataExtensionSchemasSignature;
interface ListDataExtensionSchemasSignature {
    /**
     * Retrieves a list of global and user-defined data extension schemas for a given FQDN.
     * @param - [Fully qualified domain name](https://dev.wix.com/docs/rest/articles/getting-started/fqdns).
     */
    (fqdn: string, options?: ListDataExtensionSchemasOptions): Promise<NonNullablePaths<ListDataExtensionSchemasResponse, `dataExtensionSchemas`>>;
}
declare function deleteByWhiteListedMetaSite$1(httpClient: HttpClient): DeleteByWhiteListedMetaSiteSignature;
interface DeleteByWhiteListedMetaSiteSignature {
    /**
     * Deletes schemas of whitelisted metasite ids
     * @param - Meta site id
     */
    (metaSiteId: string): Promise<NonNullablePaths<DeleteByWhiteListedMetaSiteResponse, `hasMore`>>;
}
declare const onDataExtensionSchemaCreated$1: EventDefinition<DataExtensionSchemaCreatedEnvelope, "wix.data_extensions.v1.data_extension_schema_created">;
declare const onDataExtensionSchemaDeleted$1: EventDefinition<DataExtensionSchemaDeletedEnvelope, "wix.data_extensions.v1.data_extension_schema_deleted">;
declare const onDataExtensionSchemaUpdated$1: EventDefinition<DataExtensionSchemaUpdatedEnvelope, "wix.data_extensions.v1.data_extension_schema_updated">;

declare const createDataExtensionSchema: MaybeContext<BuildRESTFunction<typeof createDataExtensionSchema$1> & typeof createDataExtensionSchema$1>;
declare const updateDataExtensionSchema: MaybeContext<BuildRESTFunction<typeof updateDataExtensionSchema$1> & typeof updateDataExtensionSchema$1>;
declare const listDataExtensionSchemas: MaybeContext<BuildRESTFunction<typeof listDataExtensionSchemas$1> & typeof listDataExtensionSchemas$1>;
declare const deleteByWhiteListedMetaSite: MaybeContext<BuildRESTFunction<typeof deleteByWhiteListedMetaSite$1> & typeof deleteByWhiteListedMetaSite$1>;
/**
 * Triggered when a data extension schema is created.
 */
declare const onDataExtensionSchemaCreated: BuildEventDefinition<typeof onDataExtensionSchemaCreated$1>;
/**
 * Triggered when a data extension schema is deleted.
 */
declare const onDataExtensionSchemaDeleted: BuildEventDefinition<typeof onDataExtensionSchemaDeleted$1>;
/**
 * Triggered when a data extension schema is updated.
 */
declare const onDataExtensionSchemaUpdated: BuildEventDefinition<typeof onDataExtensionSchemaUpdated$1>;

export { DataExtensionSchema, DataExtensionSchemaCreatedEnvelope, DataExtensionSchemaDeletedEnvelope, DataExtensionSchemaUpdatedEnvelope, DeleteByWhiteListedMetaSiteResponse, ListDataExtensionSchemasOptions, ListDataExtensionSchemasResponse, UpdateDataExtensionSchemaResponse, createDataExtensionSchema, deleteByWhiteListedMetaSite, listDataExtensionSchemas, onDataExtensionSchemaCreated, onDataExtensionSchemaDeleted, onDataExtensionSchemaUpdated, updateDataExtensionSchema };
